
TYPO3.Flow - Bug # 58959

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2014-05-20 Assigned To: Rens Admiraal
Updated: 2014-07-17 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: FunctionalTestCase->registerRoute() does not support the httpMethods configuration
Description

Currently it is not possible to register routes in the FunctionalTestCase that limit possible httpMethods

Associated revisions
Revision a3444be2 - 2014-06-28 22:32 - Rens Admiraal 

[BUGFIX] FunctionalTestcase->registerRoute() does not allow httpMethods

The FunctionalTestcase->registerRoute() did not allow configurable httpMethods.
This change adds an httpMethods argument to this method, and adds a simple
test to verify the behavior.

Change-Id: If804afe39b941428c75cc0e1197ff23ad683ed23
Releases: master, 2.0, 2.1, 2.2
Fixes: #58959

Revision ae147077 - 2014-07-17 16:48 - Rens Admiraal 

[BUGFIX] FunctionalTestcase->registerRoute() does not allow httpMethods

The FunctionalTestcase->registerRoute() did not allow configurable httpMethods.
This change adds an httpMethods argument to this method, and adds a simple
test to verify the behavior.

Change-Id: If804afe39b941428c75cc0e1197ff23ad683ed23
Releases: master, 2.0, 2.1, 2.2
Fixes: #58959

Revision e72b636e - 2014-07-17 16:48 - Rens Admiraal 

[BUGFIX] FunctionalTestcase->registerRoute() does not allow httpMethods

The FunctionalTestcase->registerRoute() did not allow configurable httpMethods.
This change adds an httpMethods argument to this method, and adds a simple
test to verify the behavior.

Change-Id: If804afe39b941428c75cc0e1197ff23ad683ed23
Releases: master, 2.0, 2.1, 2.2
Fixes: #58959

Revision 6f4fdbf0 - 2014-07-17 16:48 - Rens Admiraal 

[BUGFIX] FunctionalTestcase->registerRoute() does not allow httpMethods

The FunctionalTestcase->registerRoute() did not allow configurable httpMethods.
This change adds an httpMethods argument to this method, and adds a simple
test to verify the behavior.

Change-Id: If804afe39b941428c75cc0e1197ff23ad683ed23
Releases: master, 2.0, 2.1, 2.2
Fixes: #58959

History
#1 - 2014-05-20 14:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30235

#2 - 2014-05-20 14:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30235

#3 - 2014-05-22 11:00 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30235

#4 - 2014-06-28 22:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30235

#5 - 2014-07-17 17:00 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a3444be261db6657b7f06c8f6f461e741e53c8ef.
